Skip to main content
POST
/
v1
/
bridges
/
{id}
/
types
Map a type
curl --request POST \
  --url https://pnbr.io/v1/bridges/{id}/types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_path": "#/components/schemas/Customer",
  "to_type_name": "<string>",
  "to_shape": "<string>",
  "reasoning": "<string>"
}
'

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Path Parameters

id
string
required

Body

application/json
from_path
string
required
Example:

"#/components/schemas/Customer"

relation
enum<string>
required
Available options:
identity,
subset,
related,
disjoint
to_type_name
string
to_shape
string
reasoning
string

Response

200

The recorded type mapping.